/**
 * `dart:io` implementation of the unit tests.
 * @module test.io_test
 */
library akismet.tests.io;

// Module dependencies.
import 'core_test.dart' as core;
import 'dart:io';
import 'package:akismet/core.dart' as akismet;
import 'package:akismet/io.dart';
import 'package:unittest/vm_config.dart';

/**
 * Runs the `dart:io` unit tests.
 * @class akismet.tests.io_test
 * @static
 */

/**
 * Application entry point.
 * @method main
 * @param {List&lt;String&gt;} arguments The command line arguments.
 * @static
 */
void main(List<String> arguments) {
  useVMConfiguration();

  var env=Platform.environment;
  if(!env.containsKey('AKISMET_API_KEY')) {
    print('AKISMET_API_KEY environment variable not set.');
    exit(1);
  }

  core.main();
  var blog=Uri.parse(env.containsKey('AKISMET_BLOG') ? env['AKISMET_BLOG'] : 'https://bitbucket.org/cedx/akismet.dart');
  var serviceUrl=Uri.parse(env.containsKey('AKISMET_SERVICE_URL') ? env['AKISMET_SERVICE_URL'] : 'https://${akismet.Client.DEFAULT_SERVICE}');

  var client=new Client(env['AKISMET_API_KEY'], blog)
    ..isTest=true
    ..serviceUrl=serviceUrl;

  new core.ClientTest(client).run();
}
